.btn {
  span.arrow {
    display: inline-block;
    position: relative;
    transition: 0.5s;

    &:after {
      content: '\00bb';
      position: absolute;
      opacity: 0;
      top: -7px;
      right: -1rem;
      transition: 0.5s;
      font-size: 2rem;
      line-height: 2rem;
    }
  }

  &:hover {
    span.arrow {
      padding-right: 25px;
      &:after {
        opacity: 1;
        right: 0;
      }
    }
  }
}